package com.bailuntec.domain.dto;

public class SalesVolumeDTO {
    private String bailunSku;
    private String warehouseCode;
    private String warehouseName;
    private Integer onedaySales;
    private Integer twodaySales;
    private Integer threedaySales;
    private Integer fourthdaySales;
    private Integer fivedaySales;
    private Integer sixdaySales;
    private Integer sevendaySales;
    private Integer eightdaySales;
    private Integer ninedaySales;
    private Integer tendaySales;
    private Integer elevendaySales;
    private Integer twelvedaySales;
    private Integer thridteendaySales;
    private Integer fourteendaySales;
    private Integer fifteendaySales;
    private Integer sixteendaySales;
    private Integer seventeendaySales;
    private Integer eighteendaySales;
    private Integer nineteendaySales;
    private Integer twentydaySales;
    private Integer twentyOnedaySales;
    private Integer twentyTwodaySales;
    private Integer twentyThreedaySales;
    private Integer twentyFourthdaySales;
    private Integer twentyFivedaySales;
    private Integer twentySixdaySales;
    private Integer twentySevenedaySales;
    private Integer twentyEightdaySales;
    private Integer twentyNinedaySales;
    private Integer thirtydaySales;
    private String categoryId;
    private String title;
    private String historySales;

    public SalesVolumeDTO() {
    }

    public SalesVolumeDTO(String bailunSku, String warehouseCode) {
        this.bailunSku = bailunSku;
        this.warehouseCode = warehouseCode;
        this.warehouseName = "";
        this.onedaySales = 0;
        this.twodaySales = 0;
        this.threedaySales = 0;
        this.fourthdaySales = 0;
        this.fivedaySales = 0;
        this.sixdaySales = 0;
        this.sevendaySales = 0;
        this.eightdaySales = 0;
        this.ninedaySales = 0;
        this.tendaySales = 0;
        this.elevendaySales = 0;
        this.twelvedaySales = 0;
        this.thridteendaySales = 0;
        this.fourteendaySales = 0;
        this.fifteendaySales = 0;
        this.sixteendaySales = 0;
        this.seventeendaySales = 0;
        this.eighteendaySales = 0;
        this.nineteendaySales = 0;
        this.twentydaySales = 0;
        this.twentyOnedaySales = 0;
        this.twentyTwodaySales = 0;
        this.twentyThreedaySales = 0;
        this.twentyFourthdaySales = 0;
        this.twentyFivedaySales = 0;
        this.twentySixdaySales = 0;
        this.twentySevenedaySales = 0;
        this.twentyEightdaySales = 0;
        this.twentyNinedaySales = 0;
        this.thirtydaySales = 0;
        this.categoryId = "";
        this.title = "";
        this.historySales = "0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0";
    }

    public String getHistorySales() {
        return historySales;
    }

    public void setHistorySales(String historySales) {
        this.historySales = historySales;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBailunSku() {
        return bailunSku;
    }

    public void setBailunSku(String bailunSku) {
        this.bailunSku = bailunSku;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getOnedaySales() {
        return onedaySales;
    }

    public void setOnedaySales(Integer onedaySales) {
        this.onedaySales = onedaySales;
    }

    public Integer getTwodaySales() {
        return twodaySales;
    }

    public void setTwodaySales(Integer twodaySales) {
        this.twodaySales = twodaySales;
    }

    public Integer getThreedaySales() {
        return threedaySales;
    }

    public void setThreedaySales(Integer threedaySales) {
        this.threedaySales = threedaySales;
    }

    public Integer getFourthdaySales() {
        return fourthdaySales;
    }

    public void setFourthdaySales(Integer fourthdaySales) {
        this.fourthdaySales = fourthdaySales;
    }

    public Integer getFivedaySales() {
        return fivedaySales;
    }

    public void setFivedaySales(Integer fivedaySales) {
        this.fivedaySales = fivedaySales;
    }

    public Integer getSixdaySales() {
        return sixdaySales;
    }

    public void setSixdaySales(Integer sixdaySales) {
        this.sixdaySales = sixdaySales;
    }

    public Integer getSevendaySales() {
        return sevendaySales;
    }

    public void setSevendaySales(Integer sevendaySales) {
        this.sevendaySales = sevendaySales;
    }

    public Integer getEightdaySales() {
        return eightdaySales;
    }

    public void setEightdaySales(Integer eightdaySales) {
        this.eightdaySales = eightdaySales;
    }

    public Integer getNinedaySales() {
        return ninedaySales;
    }

    public void setNinedaySales(Integer ninedaySales) {
        this.ninedaySales = ninedaySales;
    }

    public Integer getTendaySales() {
        return tendaySales;
    }

    public void setTendaySales(Integer tendaySales) {
        this.tendaySales = tendaySales;
    }

    public Integer getElevendaySales() {
        return elevendaySales;
    }

    public void setElevendaySales(Integer elevendaySales) {
        this.elevendaySales = elevendaySales;
    }

    public Integer getTwelvedaySales() {
        return twelvedaySales;
    }

    public void setTwelvedaySales(Integer twelvedaySales) {
        this.twelvedaySales = twelvedaySales;
    }

    public Integer getThridteendaySales() {
        return thridteendaySales;
    }

    public void setThridteendaySales(Integer thridteendaySales) {
        this.thridteendaySales = thridteendaySales;
    }

    public Integer getFourteendaySales() {
        return fourteendaySales;
    }

    public void setFourteendaySales(Integer fourteendaySales) {
        this.fourteendaySales = fourteendaySales;
    }

    public Integer getFifteendaySales() {
        return fifteendaySales;
    }

    public void setFifteendaySales(Integer fifteendaySales) {
        this.fifteendaySales = fifteendaySales;
    }

    public Integer getSixteendaySales() {
        return sixteendaySales;
    }

    public void setSixteendaySales(Integer sixteendaySales) {
        this.sixteendaySales = sixteendaySales;
    }

    public Integer getSeventeendaySales() {
        return seventeendaySales;
    }

    public void setSeventeendaySales(Integer seventeendaySales) {
        this.seventeendaySales = seventeendaySales;
    }

    public Integer getEighteendaySales() {
        return eighteendaySales;
    }

    public void setEighteendaySales(Integer eighteendaySales) {
        this.eighteendaySales = eighteendaySales;
    }

    public Integer getNineteendaySales() {
        return nineteendaySales;
    }

    public void setNineteendaySales(Integer nineteendaySales) {
        this.nineteendaySales = nineteendaySales;
    }

    public Integer getTwentydaySales() {
        return twentydaySales;
    }

    public void setTwentydaySales(Integer twentydaySales) {
        this.twentydaySales = twentydaySales;
    }

    public Integer getTwentyOnedaySales() {
        return twentyOnedaySales;
    }

    public void setTwentyOnedaySales(Integer twentyOnedaySales) {
        this.twentyOnedaySales = twentyOnedaySales;
    }

    public Integer getTwentyTwodaySales() {
        return twentyTwodaySales;
    }

    public void setTwentyTwodaySales(Integer twentyTwodaySales) {
        this.twentyTwodaySales = twentyTwodaySales;
    }

    public Integer getTwentyThreedaySales() {
        return twentyThreedaySales;
    }

    public void setTwentyThreedaySales(Integer twentyThreedaySales) {
        this.twentyThreedaySales = twentyThreedaySales;
    }

    public Integer getTwentyFourthdaySales() {
        return twentyFourthdaySales;
    }

    public void setTwentyFourthdaySales(Integer twentyFourthdaySales) {
        this.twentyFourthdaySales = twentyFourthdaySales;
    }

    public Integer getTwentyFivedaySales() {
        return twentyFivedaySales;
    }

    public void setTwentyFivedaySales(Integer twentyFivedaySales) {
        this.twentyFivedaySales = twentyFivedaySales;
    }

    public Integer getTwentySixdaySales() {
        return twentySixdaySales;
    }

    public void setTwentySixdaySales(Integer twentySixdaySales) {
        this.twentySixdaySales = twentySixdaySales;
    }

    public Integer getTwentySevenedaySales() {
        return twentySevenedaySales;
    }

    public void setTwentySevenedaySales(Integer twentySevenedaySales) {
        this.twentySevenedaySales = twentySevenedaySales;
    }

    public Integer getTwentyEightdaySales() {
        return twentyEightdaySales;
    }

    public void setTwentyEightdaySales(Integer twentyEightdaySales) {
        this.twentyEightdaySales = twentyEightdaySales;
    }

    public Integer getTwentyNinedaySales() {
        return twentyNinedaySales;
    }

    public void setTwentyNinedaySales(Integer twentyNinedaySales) {
        this.twentyNinedaySales = twentyNinedaySales;
    }

    public Integer getThirtydaySales() {
        return thirtydaySales;
    }

    public void setThirtydaySales(Integer thirtydaySales) {
        this.thirtydaySales = thirtydaySales;
    }
}
